<div class="container-lg">
  <h4>TRADES</h4>
  <table mat-table [dataSource]="dataSource" class="mat-elevation-z0">
    <ng-container [matColumnDef]="item" *ngFor="let item of displayedColumns">
      <th mat-header-cell *matHeaderCellDef>
        <small> {{ item.replaceAll("_", " ").toUpperCase() }}</small>
      </th>

      <td mat-cell *matCellDef="let element">
        {{ element[item] }}
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
  </table>
</div>
